commit:     6c0c6d42aaef3f7144fffb1612e5bc056aac5aa9
Author:     Mike Frysinger <vapier <AT> gentoo <DOT> org>
AuthorDate: Fri Aug 14 03:37:14 2015 +0000
Commit:     Mike Frysinger <vapier <AT> gentoo <DOT> org>
CommitDate: Fri Aug 14 03:37:14 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6c0c6d42

sys-auth/passwdqc: add a compile test for shadow.h #554504

 sys-auth/passwdqc/passwdqc-1.3.0.ebuild | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/sys-auth/passwdqc/passwdqc-1.3.0.ebuild 
b/sys-auth/passwdqc/passwdqc-1.3.0.ebuild
index c7c1dae..6dc2703 100644
--- a/sys-auth/passwdqc/passwdqc-1.3.0.ebuild
+++ b/sys-auth/passwdqc/passwdqc-1.3.0.ebuild
@@ -27,6 +27,11 @@ src_prepare() {
        sed -i \
                -e 's:`uname -s`:Linux:' \
                Makefile || die
+       # See if the system has a shadow.h. #554504
+       echo '#include <shadow.h>' > "${T}"/test.c
+       if ! $(tc-getCPP) ${CPPFLAGS} "${T}"/test.c >& /dev/null ; then
+               sed -i -e 's:-DHAVE_SHADOW::' Makefile || die
+       fi
 }
 
 _emake() {

Reply via email to